Bug 4189 - Searching z39.50 without selecting any servers results in error message
Summary: Searching z39.50 without selecting any servers results in error message
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL: http://koha:8080/cgi-bin/koha/catalog...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-15 07:35 UTC by Chris Cormack
Modified: 2011-04-27 04:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proper error handling (3.02 KB, patch)
2011-03-30 20:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Signed off patch (3.15 KB, patch)
2011-04-06 11:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:11 UTC


---- Reported by mjr@ttllp.co.uk 2010-02-15 19:35:20 ----

Searching z39.50 without selecting any servers (silly but happened) results in the following debug error message.  This could be avoided in z3950_search.pl

Koha error

The following fatal error has occurred:

Modification of non-creatable array value attempted, subscript -4 at /usr/share/koha/intranet/cgi-bin/cataloguing/z3950_search.pl line 196.

Apache	Server version: Apache/2.2.9 (Debian) Server built: Nov 14 2009 20:21:34
Koha	3.00.05.003
Koha DB	3.0005003
MySQL	mysql Ver 14.12 Distrib 5.0.51a, for debian-linux-gnu (i486) using readline 5.2
OS	Linux cooperative 2.6.26-2-686 #1 SMP Sat Dec 26 11:29:49 UTC 2009 i686
Perl	5.010000



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4189 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4189

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was mjr@ttllp.co.uk.

Comment 1 Tomás Cohen Arazi 2011-03-30 20:13:52 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-04-06 11:50:38 UTC
Created attachment 3738 [details] [review]
Signed off patch
Comment 3 Chris Cormack 2011-04-08 01:20:36 UTC
Pushed, please test

Thanks for the very good commit message, made my life a lot easier :)
Comment 4 Katrin Fischer 2011-04-25 20:03:35 UTC
Works in 3.4
Comment 5 Chris Cormack 2011-04-27 04:43:05 UTC
This was included in the 3.4.0 release, marking closed